@import url('https://fonts.googleapis.com/css?family=Roboto&display=swap');

:root {
  --primary-color: #dc3545;
  --dark-color: #333333;
  --darker-color: #222222;
  --light-color: #f4f4f4;
  --background: #fff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  line-height: 1.6;
  background: var(--background);
  color: #333;
}


html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

a {  // TODO move stuff from global sytles
  color: var(--primary-color);
  text-decoration: none;

  &:hover {
    color: #666;
  }
}

// ul {
//   list-style: none;
// }

input {
  display: block;
  width: 100%;
  padding: 0.4rem;
  font-size: 1.2rem;
  border: 1px solid #ccc;
  outline: none;
  margin-bottom: 0.5rem;
}

table th{
  background: var(--light-color);
}

.btn {
  display: inline-block;
  background: var(--light-color);
  color: #333;
  padding: .4rem 1.3rem;
  font-size: 1rem;
  border: none;
  cursor: pointer;
  margin-right: 0.5rem;
  transition: opacity .2s;
  outline: none;

  &:disabled {
    background: var(--dark-color);
    color: #fff;
    cursor: not-allowed;
  }

  &:hover:not(:disabled) {
    opacity: 0.8;
  }
}

.btn-block {
  display: block;
  width: 100%;
}

.btn-primary {
  background: var(--primary-color);
  color: #fff;
}

.text-center {
  text-align: center;
}

app-calendar td .cdk-drag-placeholder { // TODO move it to app-calendar
  display: none !important;
}

.text-primary {
  color: var(--primary-color);
}

.primary {
  background-color: var(--primary-color);
}

.material-icons {
    user-select: none;
}